Bug 249037 - stable/12: tcp/rack module failed to build
Summary: stable/12: tcp/rack module failed to build
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.1-STABLE
Hardware: Any Any
: --- Affects Some People
Assignee: Michael Tuexen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-31 18:38 UTC by Dmitry Morozovsky
Modified: 2020-09-11 16:44 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Morozovsky freebsd_committer 2020-08-31 18:38:36 UTC
SVN info:
Relative URL: ^/stable/12
Revision: 365003


/usr/src/sys/modules/tcp/rack/../../../netinet/tcp_stacks/rack.c:131:1: error: unknown type name 'fatal'

this module seems to not building by default, but ALL_MODULES= triggers it
Comment 1 Michael Tuexen freebsd_committer 2020-08-31 19:12:37 UTC
It fails in
#ifndef TCPHPTS
fatal error missing option TCPHSTS in the build;
#endif
which tries to tell you that you need
options TCPHPTS
in your kernel config.

I'll do some more MFCing to turn that into a module dependency.
Comment 2 Andriy Gapon freebsd_committer 2020-09-01 05:53:23 UTC
Just in case, I think it would be more clear to use #error pragma here.
Comment 3 commit-hook freebsd_committer 2020-09-07 17:32:59 UTC
A commit references this bug:

Author: emaste
Date: Mon Sep  7 17:31:58 UTC 2020
New revision: 365423
URL: https://svnweb.freebsd.org/changeset/base/365423

Log:
  TPC rack: use #error rather than syntax error

  Until the changes to make this a proper dependency are merged, avoid using
  a syntax error for a user-facing error report.

  PR:		249037
  Suggested by:	avg

Changes:
  stable/12/sys/netinet/tcp_stacks/rack.c
Comment 4 Michael Tuexen freebsd_committer 2020-09-11 16:44:23 UTC
Now using a module dependency: base r365594.